Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455509 - iwl3945 cannot be renabled from linux after power failure
Summary: iwl3945 cannot be renabled from linux after power failure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iwl3945-firmware
Version: 8
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 19:44 UTC by Stephen Rowles
Modified: 2008-11-28 11:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-28 11:29:20 UTC


Attachments (Terms of Use)

Description Stephen Rowles 2008-07-15 19:44:46 UTC
Description of problem:

Wireless hardware on Acer 5920 laptop (iwl3945) gets switched off when the
wireless key is pressed, or the laptop dies due to a flat battery. When this
happens it is impossible to re-enable the wireless from Linux. My only choice is
to reboot to Vista, which I fortunately decided to dual boot rather than go pure
linux.

Version-Release number of selected component (if applicable):

Fedora 8
2.6.25.9-40.fc8 #1 SMP Fri Jun 27 16:25:53 EDT 2008 i686 i686 i386 GNU/Linux
iwl3945-firmware-2.14.1.5-2


How reproducible:

1) start linux
2) connect to wireless network
3) allow laptop to power fail
4) restart laptop, notice that wireless button does not light up
5) following messages appear in dmesg:

iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
1.2.26kds
iwl3945: Copyright(c) 2003-2008 Intel Corporation
iwl3945: Detected Intel Wireless WiFi Link 3945ABG
iwl3945: Tunable channels: 13 802.11bg, 23 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
iwl3945: Radio disabled by HW RF Kill switch

Comment 1 Bug Zapper 2008-11-26 11:00:20 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Stephen Rowles 2008-11-28 11:29:20 UTC
This bug is no longer applicable to Fedora 10. Using fedora 10 live CD wireless can be switch back on (by turning of wireless in network manager, then re-enabling). 

Still not ideal, it should be switch on during boot if the network manager has it as enabled. I will raise a new bug to cover that on Fedora 10.


Note You need to log in before you can comment on or make changes to this bug.